﻿import app.telegram.Keyboards.inline_keyboards as inline_markup
import app.telegram.Keyboards.reply_keyboards as reply_markup

import app.telegram.database.requests as rq

async def reg_new_user_default_condition_settings(id, message):
    tg_id = id

    trigger = await rq.get_for_registration_trigger()

    await rq.set_new_user_default_condition_settings(tg_id, trigger)

async def main_settings_message(message):
    text = """ <b>Условия запуска</b>

Триггер: Ручной запуск / Сигнал TradingView / Полностью автоматический

Фильтр времени: диапазон по дням недели и времени суток

Фильтр волатильности / объёма: включить/отключить

Интеграции и внешние сигналы:

Использовать сигналы TradingView: да / нет

Использовать AI-аналитику от ChatGPT: да / нет

Webhook URL для сигналов (если используется TradingView).

"""

    await message.answer(text=text, parse_mode='html', reply_markup=inline_markup.condition_settings_markup)
   
async def trigger_message(message, state):
    text = '''Триггер

    Описание ручного запуска, сигналов, автоматического режима '''

    await message.answer(text=text, parse_mode='html', reply_markup=reply_markup.trigger_markup)

async def filter_time_message(message, state):
    text = '''Фильтр времени

    ???
    '''

    await message.answer(text=text)

async def filter_volatility_message(message, state):
    text = '''Фильтр волатильности

    Описание... '''

    await message.answer(text=text, parse_mode='html', reply_markup=reply_markup.buttons_on_off_markup)

async def external_cues_message(message, state):
    text = '''<b>Внешние сигналы</b>

    Описание... '''

    await message.answer(text=text, parse_mode='html', reply_markup=None)

async def trading_cues_message(message, state):
    text = '''<b>Использование сигналов</b>

    Описание... '''

    await message.answer(text=text, parse_mode='html', reply_markup=reply_markup.buttons_yes_no_markup)

async def webhook_message(message, state):
    text = '''Скиньте ссылку на <b>webhook</b> (если есть trading view): '''

    await message.answer(text=text, parse_mode='html')
    
async def ai_analytics_message(message, state):
    text = '''<b>ИИ - Аналитика</b> 

    Описание... '''

    await message.answer(text=text, parse_mode='html', reply_markup=reply_markup.buttons_yes_no_markup)


